<%-- 
    Document   : sva_mesta
    Created on : Apr 17, 2016, 8:41:27 PM
    Author     : user
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>

    <body>
        <%@include file="user_login.jsp" %>
        <%@include file="menu_left.jsp" %>
        <h1>Pregled svih registovanih mesta</h1>        
        <table border="1" width="600">
            <thead>
                <tr>
                    <th>Ptt broj</th>
                    <th>Naziv</th>
                    <th>Akcija</th>
                </tr>
            </thead>
            <tbody>
                <c:forEach var="mesto" items="${kolekcijaMesta}">
                    <tr>
                        <td>${mesto.ptt}</td>
                        <td>${mesto.naziv}</td>
                        <td>
                            <a href="../action/obrisi_mesto?ptt=${mesto.ptt}">Obrisi</a>
                            <br/>
                            <a href="<c:url value="../action/obrisi_mesto" >
                                   <c:param name="operacija" value="obrisi"></c:param>    
                                   <c:param name="ptt" value="${mesto.ptt}"></c:param>
                               </c:url>">OBRISI</a>

                        </td>
                    </tr>
                </c:forEach>
            </tbody>
        </table>


    </body>
</html>
