<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%-- 
    Document   : sva_pravna_lica
    Created on : Apr 18, 2016, 12:57:29 PM
    Author     : student1
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>
    <body>
        <%@include file="user_login.jsp" %>
        <%@include file="menu_left.jsp" %>
        <h1>Pregled svih pravnih lica</h1>  

        <table border="1" width="700">
            <thead>
                <tr>
                    <th>Maticni broj</th>
                    <th>PIB</th>
                    <th>Naziv</th>
                    <th>Mesto</th>
                    <th>Adresa</th>
                    <th>Akcija</th>
                </tr>
            </thead>
            <tbody>
                <c:forEach var="pl" items="${kolekcijaPL}">
                    <tr>
                        <td>${pl.matBr}</td>
                        <td>${pl.pib}</td>
                        <td>${pl.naziv}</td>
                        <td>${pl.mesto_sediste.naziv}</td>
                        <td>${pl.adresa_sediste}</td>
                        <td><a href="../action/obrisi_pl?matBr=${pl.matBr}">Obrisi</a>
                        </td>
                    </tr>
                </c:forEach>
            </tbody>
        </table>

    </body>
</html>
