/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package action;

import domen.Mesto;
import domen.PravnoLice;
import java.util.List;
import javax.servlet.http.HttpServletRequest;
import model.MestoCollection;
import model.PravnoLiceCollection;

/**
 *
 * @author student1
 */
public class ActionSacuvajPravnoLice implements Action {

    @Override
    public String obradiZahtev(HttpServletRequest request) {
        String strana = null;
        if (request.getMethod().equalsIgnoreCase("GET")) {
            strana = "/WEB-INF/unos_pravnog_lica.jsp";
            List<Mesto> listaMesta = MestoCollection.getInstanse().vratiSvaMesta();
            request.setAttribute("kolekcijaMesta", listaMesta);
        }
        if (request.getMethod().equalsIgnoreCase("POST")) {
            String matBr = request.getParameter("matBr");
            String pib = request.getParameter("pib");
            String naziv = request.getParameter("naziv");
            String sPtt = request.getParameter("mestoPtt");
            long ptt = Long.parseLong(sPtt);
            String adresa = request.getParameter("adresa");
            Mesto m = MestoCollection.getInstanse().vratiMesto(ptt);
            PravnoLice pl = new PravnoLice(matBr, pib, naziv, m, adresa);
            PravnoLiceCollection.getInstance().dodajPravnoLice(pl);
            List<PravnoLice>lp=PravnoLiceCollection.getInstance().vratiPravnaLica();
            request.setAttribute("kolekcijaPL", lp);
            strana = "/WEB-INF/sva_pravna_lica.jsp";
        }

        return strana;
    }

}
