/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

import domen.Mesto;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author user
 */
public class MestoCollection {

    private static MestoCollection instanca;
    private List<Mesto> list_mesto;

    private MestoCollection() {
        list_mesto = new ArrayList<>();
        list_mesto.add(new Mesto(11000, "Beograd"));
        list_mesto.add(new Mesto(11070, "Novi Beograd"));
    }

    public static MestoCollection getInstanse() {
        if (instanca == null) {
            instanca = new MestoCollection();
        }
        return instanca;
    }

    public List<Mesto> vratiSvaMesta() {
        return list_mesto;
    }

    public void sacuvajMesto(Mesto m) {
        list_mesto.add(m);
    }

    public void obrisiMesto(long ptt) {
        Mesto m = new Mesto(ptt, "");
        if (list_mesto.contains(m)) {
            list_mesto.remove(m);
        }
    }

    public Mesto vratiMesto(long ptt) {
        Mesto mesto = null;
        for (Mesto m : list_mesto) {
            if (m.getPtt() == ptt) {
                mesto = m;
                break;
            }
        }
        return mesto;
    }
}
