/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package model;

import domen.Mesto;
import domen.PravnoLice;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author student1
 */
public class PravnoLiceCollection {

    private static PravnoLiceCollection instance;
    private List<PravnoLice> lista;

    private PravnoLiceCollection() {
        lista = new ArrayList<>();

        lista.add(new PravnoLice("mat br1", "pib 1", "naziv 1", new Mesto(11000, "Beograd"), "Adresa 1"));
        lista.add(new PravnoLice("mat br2", "pib 2", "naziv 2", new Mesto(11000, "Beograd"), "Adresa 2"));
        lista.add(new PravnoLice("mat br3", "pib 3", "naziv 3", new Mesto(11070, "Novi Beograd"), "Adresa 3"));
    }

    public static PravnoLiceCollection getInstance() {
        if (instance == null) {
            instance = new PravnoLiceCollection();
        }
        return instance;
    }

    public void dodajPravnoLice(PravnoLice pl) {
        lista.add(pl);
    }

    public List<PravnoLice> vratiPravnaLica() {
        return lista;
    }

    public void obrisiPL(String matBr) {
        PravnoLice pl = new PravnoLice(matBr);
        if (lista.contains(pl)) {
            lista.remove(pl);
        }

    }

}
